io.vertx.rxjava3.core.net

## Class SocketAddress

- java.lang.Object
- - io.vertx.rxjava3.core.net.SocketAddress

-     public class SocketAddress
      extends Object

  The address of a socket, an inet socket address or a domain socket address.

  Use `inetSocketAddress(int, java.lang.String)` to create an inet socket address and `domainSocketAddress(java.lang.String)` to create a domain socket address

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SocketAddress>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketAddress(Object delegate)`
    `SocketAddress(SocketAddress delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SocketAddress` | `domainSocketAddress(String path)` Create a domain socket address from a `path`.
    `boolean` | `equals(Object o)`
    `SocketAddress` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `host()` Returns the host name when available or the IP address in string representation.
    `String` | `hostAddress()` Returns the host IP address when available or `null` as a String.
    `String` | `hostName()` Returns the host name when available or `null` Domain socket address returns `null`.
    `static SocketAddress` | `inetSocketAddress(InetSocketAddress address)` Create a inet socket address from a Java .
    `static SocketAddress` | `inetSocketAddress(int port, String host)` Create a inet socket address, `host` must be non `null` and `port` must be between `0` and `65536`.
    `boolean` | `isDomainSocket()`
    `boolean` | `isInetSocket()`
    `static SocketAddress` | `newInstance(SocketAddress arg)`
    `String` | `path()`
    `int` | `port()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SocketAddress> __TYPE_ARG

  - ### Constructor Detail

    - #### SocketAddress

          public SocketAddress(SocketAddress delegate)

    - #### SocketAddress

          public SocketAddress(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SocketAddress getDelegate()

    - #### inetSocketAddress

          public static SocketAddress inetSocketAddress(int port,
                                                        String host)

      Create a inet socket address, `host` must be non `null` and `port` must be between `0` and `65536`.
      The `host` string can be an host name or an host address.
      No name resolution will be attempted.
      Parameters:
        `port` - the port
        `host` - the host
      Returns:
        the created socket address

    - #### domainSocketAddress

          public static SocketAddress domainSocketAddress(String path)

      Create a domain socket address from a `path`.
      Parameters:
        `path` - the address path
      Returns:
        the created socket address

    - #### host

          public String host()

      Returns the host name when available or the IP address in string representation.
      Domain socket address returns `null`.
      Returns:
        the host address

    - #### hostName

          public String hostName()

      Returns the host name when available or `null`
      Domain socket address returns `null`.
      Returns:
        the host name

    - #### hostAddress

          public String hostAddress()

      Returns the host IP address when available or `null` as a String.
      Domain socket address returns `null`.
      Returns:
        the host address

    - #### port

          public int port()

      Returns:
        the address port or `-1` for a domain socket

    - #### path

          public String path()

      Returns:
        the domain socket path or `null` for a inet socket address.

    - #### isInetSocket

          public boolean isInetSocket()

      Returns:
        `true` for an inet socket address

    - #### isDomainSocket

          public boolean isDomainSocket()

      Returns:
        `true` for an domain socket address

    - #### inetSocketAddress

          public static SocketAddress inetSocketAddress(InetSocketAddress address)

      Create a inet socket address from a Java .
      No name resolution will be attempted.
      Parameters:
        `address` - the address
      Returns:
        the created socket address

    - #### newInstance

          public static SocketAddress newInstance(SocketAddress arg)

Copyright © 2021 Eclipse. All rights reserved.